commit:     f8fa9c396e00343575078538e2c9da26c95b92f2
Author:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Sun May  7 19:06:53 2017 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Sun May  7 19:11:29 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f8fa9c39

app-misc/fslint: new version 2.46.

Gentoo-Bug: 612000

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 app-misc/fslint/Manifest           |  1 +
 app-misc/fslint/fslint-2.46.ebuild | 79 ++++++++++++++++++++++++++++++++++++++
 app-misc/fslint/metadata.xml       |  5 ++-
 3 files changed, 84 insertions(+), 1 deletion(-)

diff --git a/app-misc/fslint/Manifest b/app-misc/fslint/Manifest
index 39c7f633a1d..c67c4eb60b4 100644
--- a/app-misc/fslint/Manifest
+++ b/app-misc/fslint/Manifest
@@ -1 +1,2 @@
 DIST fslint-2.44.tar.gz 116654 SHA256 
8491a9cd76725e652ac8fe07288ba1f896d9331e30593c0ff3ab9e82e863f0ae SHA512 
9ebb6d23186ed9a7194c854c3f3352cd787f01a71d6197aa0c53f5ff0dcb2e24004cfdddee3345655ae179f4397eba95120a5c08f25c5c0f807dab486226844b
 WHIRLPOOL 
d06bfdd29ce00a052de89757244f823fba2a30ef51c09bcf58248f73d2ecd33c859a52f172cf2c9f558d00274011083c2851bf47a5e40771fff6d4a0ba081f9b
+DIST fslint-2.46.tar.xz 135988 SHA256 
f15daebfecfd2eea0d3b48a0193e25974b71dcf1e4b4a33d5a3dcfb7bb9c90cc SHA512 
7b6122b5920d37548cfb05bb986cc29a86c7de9f549375923299c23fe19cbc8c6a521feafcf6df6fe0562dae8b6a4e804f24fdf5a833ea2b68308be41a96b696
 WHIRLPOOL 
2ec6e5e494f140ad3af6b159e0838253851b2b87478b6208030eec7c3c6b178311822b1e45703e6c55bc236ab9e308b2c16e178ea1c4577695c1e34f9e85efe0

diff --git a/app-misc/fslint/fslint-2.46.ebuild 
b/app-misc/fslint/fslint-2.46.ebuild
new file mode 100644
index 00000000000..77cf60e8c6a
--- /dev/null
+++ b/app-misc/fslint/fslint-2.46.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+
+# The eutils eclass is still needed for doicon() and domenu().
+inherit eutils python-r1
+
+DESCRIPTION="A utility to find various forms of lint on a filesystem"
+HOMEPAGE="http://www.pixelbeat.org/fslint/";
+SRC_URI="${HOMEPAGE}${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="nls"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+       dev-python/pygtk:2[${PYTHON_USEDEP}]
+       gnome-base/libglade:2.0"
+
+DEPEND="nls? ( sys-devel/gettext:* )"
+
+src_prepare() {
+       default
+
+       # Change some paths to make ${PN}-gui run with our filesystem layout.
+       # These commands are taken from the debian/rules file.
+       sed -e "s:^liblocation=.*$:liblocation='${EROOT}usr/share/${PN}':" \
+               -e "s:^locale_base=.*$:locale_base=None:" \
+               -i "${PN}-gui" \
+               || die "failed to fix liblocation and locale_base in ${PN}-gui"
+}
+
+src_install() {
+       # The commands below roughly follow debian/rules.
+       python_foreach_impl python_doscript "${PN}-gui"
+
+       insinto "/usr/share/${PN}"
+       doins "${PN}.glade" "${PN}_icon.png"
+
+       exeinto "/usr/share/${PN}/${PN}"
+       doexe "${PN}"/find*
+       doexe "${PN}/${PN}"
+       doexe "${PN}/zipdir"
+
+       exeinto "/usr/share/${PN}/${PN}/fstool"
+       doexe "${PN}/fstool/dir_size" "${PN}/fstool/edu" "${PN}/fstool/lS"
+       python_scriptinto "/usr/share/${PN}/${PN}/fstool"
+       python_foreach_impl python_doscript "${PN}/fstool/dupwaste"
+
+       exeinto "/usr/share/${PN}/${PN}/supprt"
+       doexe "${PN}"/supprt/get*
+
+       python_scriptinto "/usr/share/${PN}/${PN}/supprt"
+       python_foreach_impl python_doscript "${PN}/supprt/md5sum_approx"
+
+       doexe "${PN}/supprt/fslver"
+
+       exeinto "/usr/share/${PN}/${PN}/supprt/rmlint"
+       doexe "${PN}"/supprt/rmlint/*.sh
+       python_scriptinto "/usr/share/${PN}/${PN}/supprt/rmlint"
+       python_foreach_impl python_doscript "${PN}/supprt/rmlint/fixdup"
+       python_foreach_impl python_doscript 
"${PN}/supprt/rmlint/merge_hardlinks"
+
+       doicon "${PN}_icon.png"
+       domenu "${PN}.desktop"
+
+       dodoc doc/{FAQ,NEWS,README,TODO}
+       doman man/*.1
+
+       if use nls; then
+               cd po || die
+               emake DESTDIR="${D}" install
+       fi
+}

diff --git a/app-misc/fslint/metadata.xml b/app-misc/fslint/metadata.xml
index 6f49eba8f49..6e883e5321c 100644
--- a/app-misc/fslint/metadata.xml
+++ b/app-misc/fslint/metadata.xml
@@ -1,5 +1,8 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
 <pkgmetadata>
-<!-- maintainer-needed -->
+  <!-- maintainer-needed -->
+  <upstream>
+    <remote-id type="github">pixelb/fslint</remote-id>
+  </upstream>
 </pkgmetadata>

Reply via email to